summaryrefslogtreecommitdiffstats
path: root/source/ap/man-db/man-db.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-08-05 07:33:15 +0000
committer Eric Hameleers <alien@slackware.com>2019-08-05 17:59:45 +0200
commit656752c06e1b3062aa6652b74aaec0b95b7c3706 (patch)
treea23a4a49d3b5b4a930a54d6fbe2a307548c99885 /source/ap/man-db/man-db.SlackBuild
parent8519278b645c1b29046377ad42e5f723247c7b9b (diff)
downloadcurrent-20190805073315.tar.gz
current-20190805073315.tar.xz
Mon Aug 5 07:33:15 UTC 201920190805073315
a/kernel-generic-4.19.64-x86_64-1.txz: Upgraded. a/kernel-huge-4.19.64-x86_64-1.txz: Upgraded. a/kernel-modules-4.19.64-x86_64-1.txz: Upgraded. ap/man-db-2.8.6.1-x86_64-1.txz: Upgraded. d/kernel-headers-4.19.64-x86-1.txz: Upgraded. k/kernel-source-4.19.64-noarch-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/ap/man-db/man-db.SlackBuild')
-rwxr-xr-xsource/ap/man-db/man-db.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/source/ap/man-db/man-db.SlackBuild b/source/ap/man-db/man-db.SlackBuild
index 7a5e24dd5..641960f97 100755
--- a/source/ap/man-db/man-db.SlackBuild
+++ b/source/ap/man-db/man-db.SlackBuild
@@ -7,7 +7,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=man-db
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
MAN2HTML=${MAN2HTML:-20180101}
@@ -130,11 +130,11 @@ mkdir -p $TMP $PKG $OUTPUT
# Instead of making it a separate build and external dep, we'll just
# bundle it here.
LIBNAM=libpipeline
-LIBVER=${LIBVER:-$(echo $LIBNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+LIBVER=${LIBVER:-$(echo $LIBNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
cd $TMP
rm -rf $LIBNAM-$LIBVER
-tar xvf $CWD/$LIBNAM-$LIBVER.tar.xz || exit 1
+tar xvf $CWD/$LIBNAM-$LIBVER.tar.?z || exit 1
cd $LIBNAM-$LIBVER || exit 1
chown -R root:root .
find -L . \
@@ -164,7 +164,7 @@ cp -a COPYING* ChangeLog NEWS* README* TODO* \
# now build man-db itself, using the libpipeline installed in $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
@@ -249,7 +249,7 @@ cat $CWD/man_db.conf.new \
rm -rf $PKG/etc/man_db.conf
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a i\
+cp -a \
ChangeLog FAQ* NEWS* README* docs/COPYING* docs/HACKING docs/INSTALL.quick \
docs/TODO docs/*lsm docs/*example* \
$PKG/usr/doc/$PKGNAM-$VERSION